Ask Your Question
0

Building LO w/ MariaDB installed fails apt-get build-dep

asked 2017-05-24 18:30:33 +0200

EasyTrieve gravatar image

updated 2017-05-26 00:12:07 +0200

[Revised and resubmitted]

I'm on Debian Linux and have a MariaDB 10.1 installed and I want to build LO.


The first step described here and further addressed here is:

sudo apt-get build-dep libreoffice

But I get this error:

...
The following packages have unmet dependencies:
 libmysqlclient-dev : Depends: libmysqlclient18 (= 5.5.55-0+deb8u1) but 10.1.23+maria-1~jessie is to be installed
 ....

Investigating this I found these nuggets to ponder which are both installed:

apt-cache depends libmysqlclient-dev   
Depends: libmysqlclient18   

apt-cache depends libmysqlclient18   
Depends: libmariadbclient18

where libmysqlclient18 is

**Virtual package to satisfy external depends**

This is an empty package that provides an updated "best" version of
libmysqlclient18 that does not conflict with the libmariadbclient18
package.

Maintainer: MariaDB Developers <maria-developers@lists.launchpad.net>

Installed version: 10.1.23+maria-1~jessie

and libmariadbclient18 is

**MariaDB database client library**

MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
server. SQL (Structured Query Language) is the most popular database query
language in the world. The main goals of MariaDB are speed, robustness and
ease of use.

This package includes the client library.

So I don't know. Perhaps I should just ignore this error and proceed... ???

edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
0

answered 2017-05-26 06:33:42 +0200

Ratslinger gravatar image

updated 2017-05-27 03:41:24 +0200

Notwithstanding other Debian problems, I had one problem with sudo apt-get build-dep libreoffice - libxml2-dev was mangled. A simple re-install ( used Synaptic ) took care of the problem.

What you have to realize is every system is different when it comes to what is installed & what needs to be installed. I have successfully built LO on two different systems now - Mint18 & Xubuntu. Each had its own set of circumstances. There are many more hills to climb after this step.

A possible solution is to reload libmysqlclient-dev & libmysqlclient18. Here is another difference. On Mint18 I use a newer libmysqlclient-dev which requires libmysqlclient20.

Did you run sudo apt-get update before you started? This may also help.

Also, it is not a good idea to ignore problems at this stage. They will bite you later.

Edit 5/26/17:

LO Build on Debian 8.6

As every system is different, here is the basis for the build:

AMD 3.2 4 core; 1tb – WD Blue; 4gb mem
Debian 8.6
MariaDB 10 installed
Internet connection – DSL 3.0 allowed (shared) – wireless usb connection

Time consumed (about 8 ½ hours) does not include the 3+ hours spent with Debian defficiencies needing correction to proceed or backups. (This time was interspersed in the overall process).

Steps taken:

Insert: deb-src http://http.debian.net/debian/ jessie main into /etc/apt/sources.list

sudo apt install libkrb5-dev    (for Kerberos 5 error)      downloading
sudo apt-get install git libegl1-mesa-dev                   downloading
Install ‘Graphviz’ - use Synaptic                       downloading
sudo apt-get update                             downloading
sudo apt-get build-dep libreoffice          downloading Corrected mangled file  & re-run

More downloading:

sudo apt-get install git libgsf-1-dev libperl-dev libarchive-zip-perl javacc gperf python-dev bison flex ant doxygen libegl1-mesa-dev libkrb5-dev

git clone git://anongit.freedesktop.org/libreoffice/core libreoffice    Lots of downloading
cd libreoffice
./autogen.sh

PROBLEM occurred- * WARNING : no suitable nasm (Netwide Assembler) found for internal jpeg-turbo

Installed nasm using Synaptic
Re-ran ./autogen.sh and all OK this time

Finally: make

First (and only) error 94 minutes into compile. Segmentation fault. Have had this on other builds. Just restarted make. I believe this has to do with memory and other things running. Actual compile ran for about 3 hours & 18 minutes using 100% of three of the cores with the fourth core running between 10-100% at times. Memory was running typically between 40-75% but high enough at times to use the swap file.

Once a good compile is achieved there are still many optional choices to make. One is an IDE. I use KDevelop but also have Eclipse which supposedly works with this. Currently use Eclipse for Java Base report creation/development. This is the third complete build I’ve done (all on Ubuntu based systems) and the one with the least problems. I took notes on past problems and incorporated them here which may explain less problems.

Result:

image description

edit flag offensive delete link more

Comments

BTW When doing this on Debian, I noticed libmysqlclient-dev wasn't even installed on my system. However, libmysqlclient18 was. Is there a reason libmysqlclient-dev is there?

Ratslinger gravatar imageRatslinger ( 2017-05-27 04:17:36 +0200 )edit

Thanks very much for all of this. You've given me quite a bit to chew on and it will take me a few days to grind through this. Your question about libmysqlclient-dev is indeed an interesting one. I'll take a look into it and see who is dependent on it. Will get back to you about this when I get a little more time. Thanks again!

EasyTrieve gravatar imageEasyTrieve ( 2017-05-27 05:24:44 +0200 )edit

@Ratslinger, I tried a whole bunch of things but still can't get past this issue. I think the problem occurs because I have MariaDB 10.1 installed via a Maria repository, while Jessie only supports 10.0. I wrote to MariaDB and they wrote back and thinks it's bug, and put it on their bug list. So I can't go back a version, and I can't go forward with this. Debian is scheduled to be updated later this month, and after I do that upgrade I will try again. I'll keep you posted. Thanks again.

EasyTrieve gravatar imageEasyTrieve ( 2017-06-07 23:08:48 +0200 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2017-05-24 18:30:33 +0200

Seen: 286 times

Last updated: May 27 '17